[openrtm-commit:01989] r715 - in branches/RELENG_1_1/OpenRTM-aist-Python: . OpenRTM_aist/utils/rtcd installer/install_scripts packages/rpm
openrtm @ openrtm.org
openrtm @ openrtm.org
2016年 6月 21日 (火) 17:04:24 JST
Author: kawauchi
Date: 2016-06-21 17:04:24 +0900 (Tue, 21 Jun 2016)
New Revision: 715
Modified:
branches/RELENG_1_1/OpenRTM-aist-Python/
branches/RELENG_1_1/OpenRTM-aist-Python/OpenRTM_aist/utils/rtcd/rtcd_python.exe
branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_debian.sh
branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_fedora.sh
branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_ubuntu.sh
branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_vine.sh
branches/RELENG_1_1/OpenRTM-aist-Python/packages/rpm/openrtm-aist.spec.in
Log:
[merge] r709-714 have been merged from trunk.
Property changes on: branches/RELENG_1_1/OpenRTM-aist-Python
___________________________________________________________________
Modified: svn:mergeinfo
- /branches/RELENG_1_0/OpenRTM-aist-Python:345-404
/branches/RELENG_1_1/OpenRTM-aist-Python:396-478,488-497
/branches/work/OpenRTM-aist-Python:504-542
/trunk/OpenRTM-aist-Python:662,702,705-707
+ /branches/RELENG_1_0/OpenRTM-aist-Python:345-404
/branches/RELENG_1_1/OpenRTM-aist-Python:396-478,488-497
/branches/work/OpenRTM-aist-Python:504-542
/trunk/OpenRTM-aist-Python:662,702,705-707,709-714
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/OpenRTM_aist/utils/rtcd/rtcd_python.exe
===================================================================
(Binary files differ)
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_debian.sh
===================================================================
--- branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_debian.sh 2016-06-21 07:57:32 UTC (rev 714)
+++ branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_debian.sh 2016-06-21 08:04:24 UTC (rev 715)
@@ -7,8 +7,16 @@
# Tetsuo Ando
# Harumi Miyamoto
# Nobu Kawauchi
+# Saburo Takahashi
#
+# Usage: sudo pkg_install_python_debian.sh [-u -y -h]
+# option -u : Uninstall tool_packages.
+# option -y : When yes/no prompt for installing would be presente d, assume that the user entered "yes".
+# option -h : Display a brief help message.
+#
+
+
#---------------------------------------
# ããã±ã¼ã¸ãªã¹ã
#---------------------------------------
@@ -129,7 +137,7 @@
install_packages () {
for p in $*; do
echo $msg9 $p
- apt-get install $p
+ apt-get install $p $force_yes
echo $msg10
echo ""
done
@@ -157,13 +165,34 @@
}
#---------------------------------------
+# USAGE
+#---------------------------------------
+howto_usage(){
+ cat << EOF
+Usage: sudo $0 [-u -y -h]
+ option -u : Uninstall tool_packages.
+ option -y : When yes/no prompt for installing would be presented, assume that the user entered "yes".
+ option -h : Display a brief help message.
+EOF
+}
+
+#---------------------------------------
# ã¡ã¤ã³
#---------------------------------------
+if test "x$1" = "x-h" ; then
+ howto_usage
+ exit 1
+fi
+
check_lang
check_root
check_codename
set_package_list
+if test "x$1" = "x-y" ; then
+ force_yes="-y --force-yes"
+fi
+
if test "x$1" = "x-u" ; then
uninstall_packages `reverse $u_packages`
else
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_fedora.sh
===================================================================
--- branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_fedora.sh 2016-06-21 07:57:32 UTC (rev 714)
+++ branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_fedora.sh 2016-06-21 08:04:24 UTC (rev 715)
@@ -6,6 +6,7 @@
# Shinji Kurihara
# Tetsuo Ando
# Nobu Kawauchi
+# Saburo Takahashi
#
# ãã®ã·ã§ã«ã¹ã¯ãªããã¯ãaceããã³omniORBã®ããã±ã¼ã¸ãã¤ã³ã¹ãã¼ã«ãã
# fedoraã®éçºç°å¢ãæ§ç¯ãã¾ãã
@@ -13,6 +14,13 @@
# $Id$
#
+# Usage: sudo pkg_install_python_fedora.sh [-u -y -h]
+# option -u : Uninstall tool_packages.
+# option -y : When yes/no prompt for installing would be presente d, assume that the user entered "yes".
+# option -h : Display a brief help message.
+#
+
+
#---------------------------------------
# ããã±ã¼ã¸ãªã¹ã
#---------------------------------------
@@ -101,7 +109,7 @@
else
if echo "$p" | grep -q '=0.4.2' ; then
str=`echo "$p" |sed 's/=0.4.2//'`
- else
+ else
str="$p"
fi
@@ -109,15 +117,15 @@
if test "x$ins" = "x"; then
echo "Now installing: " $p
- $COMMAND install $p
+ $COMMAND install $p $force_yes
echo "done."
echo ""
- else
+ else
if echo "$ins" |grep -q '0.4.2-0' ; then
$COMMAND install $p
- echo "done."
+ echo "done."
echo ""
- else
+ else
echo $ins
echo $str "is already installed."
echo ""
@@ -150,9 +158,31 @@
}
#---------------------------------------
+# USAGE
+#---------------------------------------
+howto_usage(){
+ cat << EOF
+Usage: sudo $0 [-u -y -h]
+ option -u : Uninstall tool_packages.
+ option -y : When yes/no prompt for installing would be presented, assume that the user entered "yes".
+ option -h : Display a brief help message.
+EOF
+}
+
+#---------------------------------------
# ã¡ã¤ã³
#---------------------------------------
+if test "x$1" = "x-h" ; then
+ howto_usage
+ exit 1
+fi
+
check_root
+
+if test "x$1" = "x-y" ; then
+ force_yes="-y"
+fi
+
if test "x$1" = "x-u" ; then
uninstall_packages `reverse $u_packages`
else
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_ubuntu.sh
===================================================================
--- branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_ubuntu.sh 2016-06-21 07:57:32 UTC (rev 714)
+++ branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_ubuntu.sh 2016-06-21 08:04:24 UTC (rev 715)
@@ -7,8 +7,15 @@
# Tetsuo Ando
# Harumi Miyamoto
# Nobu Kawauchi
+# Saburo Takahashi
#
+# Usage: sudo pkg_install_python_ubuntu.sh [-u -y -h]
+# option -u : Uninstall tool_packages.
+# option -y : When yes/no prompt for installing would be presented, assume that the user entered "yes".
+# option -h : Display a brief help message.
+#
+
this_file=${0##*/}
rtm_ver=`echo "$this_file" | sed -e "s/pkg_install_python_ubuntu-//g" -e "s/\.sh//g"`
@@ -142,7 +149,7 @@
install_packages () {
for p in $*; do
echo $msg9 $p
- apt-get install $p
+ apt-get install $p $force_yes
echo $msg10
echo ""
done
@@ -170,13 +177,34 @@
}
#---------------------------------------
+# USAGE
+#---------------------------------------
+howto_usage(){
+ cat << EOF
+Usage: sudo $0 [-u -y -h]
+ option -u : Uninstall tool_packages.
+ option -y : When yes/no prompt for installing would be presented, assume that the user entered "yes".
+ option -h : Display a brief help message.
+EOF
+}
+
+#---------------------------------------
# ã¡ã¤ã³
#---------------------------------------
+if test "x$1" = "x-h" ; then
+ howto_usage
+ exit 1
+fi
+
check_lang
check_root
check_codename
set_package_list
+if test "x$1" = "x-y" ; then
+ force_yes="-y --force-yes"
+fi
+
if test "x$1" = "x-u" ; then
uninstall_packages `reverse $u_packages`
else
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_vine.sh
===================================================================
--- branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_vine.sh 2016-06-21 07:57:32 UTC (rev 714)
+++ branches/RELENG_1_1/OpenRTM-aist-Python/installer/install_scripts/pkg_install_python_vine.sh 2016-06-21 08:04:24 UTC (rev 715)
@@ -5,10 +5,17 @@
# @author Noriaki Ando <n-ando at aist.go.jp>
# Shinji Kurihara
# Tetsuo Ando
+# Saburo Takahashi
#
# このシェルスクリプトは、aceおよびomniORBのパッケージをインストールし、
# Vine Linuxの開発環境を構築します。
#
+# Usage: sudo pkg_install_python_vine.sh [-u -y -h]
+# option -u : Uninstall tool_packages.
+# option -y : When yes/no prompt for installing would be presente d, assume that the user entered "yes".
+# option -h : Display a brief help message.
+#
+
#---------------------------------------
# Vineバージョン特定
#---------------------------------------
@@ -72,7 +79,7 @@
else
if echo "$p" | grep -q '=0.4.2' ; then
str=`echo "$p" |sed 's/=0.4.2//'`
- else
+ else
str="$p"
fi
@@ -80,15 +87,15 @@
if test "x$ins" = "x"; then
echo "Now installing: " $p
- apt-get install $p
+ apt-get install $p $force_yes
echo "done."
echo ""
- else
+ else
if echo "$ins" |grep -q '0.4.2-0' ; then
- apt-get install $p
- echo "done."
+ apt-get install $p $force_yes
+ echo "done."
echo ""
- else
+ else
echo $ins
echo $str "is already installed."
echo ""
@@ -120,12 +127,32 @@
done
}
+#---------------------------------------
+# USAGE
+#---------------------------------------
+howto_usage(){
+ cat << EOF
+Usage: sudo $0 [-u -y -h]
+ option -u : Uninstall tool_packages.
+ option -y : When yes/no prompt for installing would be presented, assume that the user entered "yes".
+ option -h : Display a brief help message.
+EOF
+}
-
#---------------------------------------
# メイン
#---------------------------------------
+if test "x$1" = "x-h" ; then
+ howto_usage
+ exit 1
+fi
+
check_root
+
+if test "x$1" = "x-y" ; then
+ force_yes="-y --force-yes"
+fi
+
if test "x$1" = "x-u" ; then
uninstall_packages `reverse $packages`
else
Modified: branches/RELENG_1_1/OpenRTM-aist-Python/packages/rpm/openrtm-aist.spec.in
===================================================================
--- branches/RELENG_1_1/OpenRTM-aist-Python/packages/rpm/openrtm-aist.spec.in 2016-06-21 07:57:32 UTC (rev 714)
+++ branches/RELENG_1_1/OpenRTM-aist-Python/packages/rpm/openrtm-aist.spec.in 2016-06-21 08:04:24 UTC (rev 715)
@@ -13,6 +13,7 @@
%define builddir %{_topdir}/BUILD/%{distname}
%define pkgver RELEASE0
%define _unpackaged_files_terminate_build 0
+%global debug_package %{nil}
#------------------------------------------------------------
# Package information
More information about the openrtm-commit
mailing list